std::unary_function(3)

NAME
std::unary_function -

SYNOPSIS

Inherited by binary_compose, subtractive_rng, unary_compose, pointer_to_unary_function, _Reference_wrapper_base< _Res(_T1::*)() const volatile >, _Reference_wrapper_base< _Res(_T1::*)() volatile >, hash< std::string >, and hash< std::wstring >.

Detailed Description

  template<class _Arg, class _Result> struct std::unary_function< _Arg, _Result >
This is one of the functor base classes.

Definition at line 102 of file stl_function.h.

  Public Types
typedef _Arg argument_type
typedef _Result result_type

Member Typedef Documentation

  typedef _Arg argument_type

argument_type is the type of the

Reimplemented in _Functor_Ref.

Definition at line 104 of file stl_function.h.

  typedef _Result result_type

argument (no surprises here) result_type is the return type

Reimplemented in _Functor_Ref, and _Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 107 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.